## vserver-debiantools 0.1.10

=== Makefile ===
MANFILES=newvserver.1 newnfsvserver.1 dupvserver.1 stripserver.1

all: build-man

build-man: $(MANFILES)

newvserver.1: newvserver.pod
	pod2man --section=1 \
                --release="Vserver " \
                --date="`date`" \
                $^ > $@

newnfsvserver.1: newnfsvserver.pod
	pod2man --section=1 \
                --release="Vserver " \
                --date="`date`" \
                $^ > $@

dupvserver.1: dupvserver.pod
	pod2man --section=1 \
                --release="Vserver " \
                --date="`date`" \
                $^ > $@

stripserver.1: stripserver.pod
	pod2man --section=1 \
                --release="Vserver " \
                --date="`date`" \
                $^ > $@

install: install-sbin install-man install-conf install-var

install-conf: newvserver-vars
	mkdir -p $(DESTDIR)/etc/vservers
	install -m 644 $^ $(DESTDIR)/etc/vservers	

install-sbin: newvserver.sh newnfsvserver.sh dupvserver.sh stripserver.sh
	mkdir -p $(DESTDIR)/usr/sbin
	install -m 755 $^ $(DESTDIR)/usr/sbin
	rename "s/.sh//;" $(DESTDIR)/usr/sbin/*.sh

install-var:
	# Needed to make newvserver work as expected.
	mkdir -p $(DESTDIR)/var/lib/vserver-debiantools

install-man: $(MANFILES)
	mkdir -p $(DESTDIR)/usr/share/man/man1
	for m in $^ ; do \
		gzip -9 -c $$m > $(DESTDIR)/usr/share/man/man1/$$m.gz ;\
	done

clean: clean-man

clean-man:
	-rm *.1

## vserver-debiantools 0.1.6

=== debian/changelog ===
vserver-debiantools (0.1.6) unstable; urgency=low

  * Fixed so that vserver config IPROOTDEV take interface argument from
    command line or newvserver config, closes: #277541.
  * Updated manpage to show defaults, closes: #277546.

 -- Ola Lundqvist <opal@debian.org>  Fri, 22 Oct 2004 19:31:52 +0200

vserver-debiantools (0.1.5) unstable; urgency=high

  * Fixed problem creating ARCHIVE dir.
  * Changed separator in regexp to allow submasks in dupvserver,
    closes: #273423.

 -- Ola Lundqvist <opal@debian.org>  Tue,  5 Oct 2004 22:54:14 +0200

vserver-debiantools (0.1.4) unstable; urgency=high

  * Fix in handling of /dev in newvserver.
  * This includes that the directory /var/lib/vserver-debiantools is added.
  * Added dependency on the needed version of debootstrap.
  * Now sources.list is created with the selected dist instead of stable hard-coded.

 -- Ola Lundqvist <opal@debian.org>  Mon, 30 Aug 2004 19:23:53 +0200

vserver-debiantools (0.1.3) unstable; urgency=high

  * Problem with having multiple distributions share the same ARCHIVES
    directory. This a very important fix.

 -- Ola Lundqvist <opal@debian.org>  Mon, 30 Aug 2004 19:23:53 +0200

vserver-debiantools (0.1.2) unstable; urgency=high

  * Changed so that newvserver do not create a config file with ulimit -u
    option. That is not POSIX compatible. User can change that manually later.
  * Added GPL statements where they should be.

 -- Ola Lundqvist <opal@debian.org>  Mon, 30 Aug 2004 12:10:43 +0200

vserver-debiantools (0.1.1) unstable; urgency=low

  * Updated manpages so they look nice.
  * Changed so it works with util-vserver. This means that it will not work
    with vserver. This is not a problem since vserver will be removed from
    Debian.
  * Added possibility to have a configuration file for newvserver in
    /etc/vservers/newvserver-vars
  * Dependency in rsync, closes: #237435.
  * Added stdout stderr symlinks in /dev, closes: #209129.
  * Added possibility of post install script, closes: #222819.
    Thanks to Olujimi Brown <obrown@cptech.com>.
  * Fixed sparc issue, closes: #257861.
    Thanks to Helmut Toplitzer <helmut@ifit.uni-klu.ac.at> for the simple fix.
  * Changed so it should work on sarge. Make that the default distribution,
    closes: #239536.
  * Added conflict on vserver as it provides the same tools.
  * Made INSTALL_PACKAGES empty. User has to edit that, it is not up to me
    as a maintainer.

 -- Ola Lundqvist <opal@debian.org>  Wed, 11 Aug 2004 11:56:46 +0200

vserver-debiantools (0.1.0) unstable; urgency=low

  * Initial Release.
    This is a split of the vserver package. The debian specific addon
    scripts is gathered in this package.

 -- Ola Lundqvist <opal@debian.org>  Wed, 28 Jul 2004 19:27:18 +0200

=== debian/control ===
Source: vserver-debiantools
Section: utils
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends: debhelper (>= 4.0.0), perl
Standards-Version: 3.6.1

Package: vserver-debiantools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, util-vserver, debootstrap (>= 0.2.41-0.2), binutils, rsync
Conflicts: vserver
Description: Tools to manage debian virtual servers
 This package contain tools to manage debian based virtual servers.
 There are tools to create and duplicate a virtual server. There is also a
 tool to strip a copy of a normal debian installation from hardware dependent
 things.

## vserver-debiantools 0.1.10

=== debian/changelog ===
vserver-debiantools (0.1.10) unstable; urgency=low

  * Added support for util-vserver 0.30.204 and later versions.

 -- Ola Lundqvist <opal@debian.org>  Sat, 12 Mar 2005 14:45:25 +0100

vserver-debiantools (0.1.9) unstable; urgency=low

  * Changed the location of vreboot from /usr/lib/vserver to
    /usr/lib/util-vserver in the newvserver.sh, newnfsvserver.sh and
    stripserver.sh scripts in order to allow it to be installed to new
    hosts, closes: #293435.

 -- Ola Lundqvist <opal@debian.org>  Sat,  5 Feb 2005 21:11:15 +0100

vserver-debiantools (0.1.8) unstable; urgency=low

  * Fixed a minor typo in newvserver script, closes: #289023.
  * Added source of newvserver-vars config in newnfsvserver script too.
  * Renamed stripserver manpage to correct name from newvserver,
    closes: #290355.
  * Made it possible to use file:/ as mirror target, closes: #239819.

 -- Ola Lundqvist <opal@debian.org>  Mon, 31 Jan 2005 21:52:48 +0100

vserver-debiantools (0.1.7) unstable; urgency=high

  * Changed to architecture all.
  * Made sure that eximconfig is not run unless it is a woody dist.
  * Changed from apt-get remove to dpkg -P to make sure that packages
    that should not exist is removed.

 -- Ola Lundqvist <opal@debian.org>  Sat,  8 Jan 2005 12:42:34 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.6.1
 
 Package: vserver-debiantools
-Architecture: any
+Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, util-vserver, debootstrap (>= 0.2.41-0.2), binutils, rsync
 Conflicts: vserver
 Description: Tools to manage debian virtual servers

## vserver-debiantools 0.2.3

=== debian/changelog ===
vserver-debiantools (0.2.3) unstable; urgency=medium

  * Inittab is now generated instead of simply provided. Thanks to
    Thomas Gelf <thomas@gelf.net> for that fix.
  * Also made sure that update-rc.d will not add links on package
    upgrades.

 -- Ola Lundqvist <opal@debian.org>  Tue,  3 May 2005 19:42:23 +0200

vserver-debiantools (0.2.2) unstable; urgency=low

  * Added support for apt.conf.d to allow for http proxy, closes:
    #306401. Thanks to Daniel van Eeden <daniel_e@dds.nl> for the
    solution.

 -- Ola Lundqvist <opal@debian.org>  Tue, 26 Apr 2005 12:54:42 +0200

vserver-debiantools (0.2.1) unstable; urgency=low

  * Fixed minor issue with package cache system, closes: #264912.

 -- Ola Lundqvist <opal@debian.org>  Wed, 20 Apr 2005 22:25:54 +0200

vserver-debiantools (0.2.0) unstable; urgency=low

  * Applied patch from Daniel Hermann <hermann@tkm.physik.uni-karlsruhe.de>
    that allow for netmasks to IP.
  * Applied patch from Daniel Hermann <hermann@tkm.physik.uni-karlsruhe.de>
    to allow newvserver to use the vserver build system instead of
    debootstrap directly, closes: #305155. This allow for the new
    configuration structure available in latest util-vserver tools.
  * Using this method cause different default capabilities, closes: #197051.
  * Readded package caching and made an option to allow it.
  * Added dependency on util-vserver becuase of this cleanup.
  * Updated README to accnowledte the work of Daniel Hermann.
  * Rewrote hostname check to allow digit in the beginning if it exist
    at least one alpha character, closes: #251569.
  * Removed two options from the manpage.
  * Changed all defaults to sarge.
  * No longer source util-vserver-vars as it has been moved from
    /etc to /usr/lib/util-vserver.
  * Added apt-get autoclean to package caching system.

 -- Ola Lundqvist <opal@debian.org>  Mon, 19 Apr 2005 17:45:15 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: vserver-debiantools
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, util-vserver, debootstrap (>= 0.2.41-0.2), binutils, rsync
+Depends: ${shlibs:Depends}, ${misc:Depends}, util-vserver (>= 0.30.206-3), debootstrap (>= 0.2.41-0.2), binutils, rsync
 Conflicts: vserver
 Description: Tools to manage debian virtual servers
  This package contain tools to manage debian based virtual servers.

## vserver-debiantools 0.2.5

=== debian/changelog ===
vserver-debiantools (0.2.5) unstable; urgency=low

  * Added --resolve-deps to vserver building, closes: #324656. Thanks to
    Eric MC Declerck <eric.m.c.declerck@free.fr> for pointing out this.

 -- Ola Lundqvist <opal@debian.org>  Sun,  9 Oct 2005 20:41:54 +0200

vserver-debiantools (0.2.4) unstable; urgency=low

  * Changed dependency so it can be used with sarge too. The changes
    needed was added in the last upload of sarge install.

 -- Ola Lundqvist <opal@debian.org>  Sun, 31 Jul 2005 11:29:40 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: vserver-debiantools
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, util-vserver (>= 0.30.206-3), debootstrap (>= 0.2.41-0.2), binutils, rsync
+Depends: ${shlibs:Depends}, ${misc:Depends}, util-vserver (>= 0.30.204-5sarge2), debootstrap (>= 0.2.41-0.2), binutils, rsync
 Conflicts: vserver
 Description: Tools to manage debian virtual servers
  This package contain tools to manage debian based virtual servers.

## vserver-debiantools 0.2.6

=== debian/changelog ===
vserver-debiantools (0.2.6) unstable; urgency=low

  * Check VxID in addition to s_context, closes: #327609.
  * Updated copyright file (FSF address).
  * Updated copyright years.
  * Updated standards version to 3.6.2.
  * Changed build depends to build depends indep.
  * Corrected quote in stripserver.sh, closes: #347458.

 -- Ola Lundqvist <opal@debian.org>  Sat, 28 Jan 2006 21:58:30 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Ola Lundqvist <opal@debian.org>
-Build-Depends: debhelper (>= 4.0.0), perl
-Standards-Version: 3.6.1
+Build-Depends-Indep: debhelper (>= 4.0.0), perl
+Standards-Version: 3.6.2
 
 Package: vserver-debiantools
 Architecture: all

## vserver-debiantools 0.3.4

=== debian/changelog ===
vserver-debiantools (0.3.4) unstable; urgency=medium

  * Changed documentation to show that etch is the default.
  * Updated the README file with some history.
  * Updated version information and made so that it is shown for all
    applications.

 -- Ola Lundqvist <opal@debian.org>  Sat,  9 Dec 2006 11:42:38 +0100

vserver-debiantools (0.3.3) unstable; urgency=low

  * Correction in how to handle new configuration scheme in dupvserver.

 -- Ola Lundqvist <opal@debian.org>  Mon, 28 Aug 2006 15:25:11 +0200

vserver-debiantools (0.3.2) unstable; urgency=low

  * Ignore the lintian error about syntax error. sh -n do not honor the
    shopt -s extglob call in the beginning, closes: #384639.

 -- Ola Lundqvist <opal@debian.org>  Sun, 27 Aug 2006 22:27:57 +0200

vserver-debiantools (0.3.1) unstable; urgency=low

  * Applied patch from Miroslav Kure <kurem@upcase.inf.upol.cz>, to
    correct a non-US issue, closes: #384641.

 -- Ola Lundqvist <opal@debian.org>  Sun, 27 Aug 2006 11:57:43 +0200

vserver-debiantools (0.3.0) unstable; urgency=low

  * Added support for new config scheme to dupvserver, closes: #307979.
  * Added support for new --context option to newnfsvserver and newvserver,
    closes: #376087.
  * Removed support for vreboot from newnfsvserver as it is considered as a
    legacy function, closes: #310952.
  * Correction of syntax error in newvserver, newnfsvserver and stripserver.

 -- Ola Lundqvist <opal@debian.org>  Tue, 22 Aug 2006 21:47:08 +0200

vserver-debiantools (0.2.10) unstable; urgency=low

  * Allow hostnames of less than 5 characters, thanks to Miroslav Kure
    <kurem@upcase.inf.upol.cz>, closes: #383672.
  * Applied patch from Miroslav Kure <kurem@upcase.inf.upol.cz>, to make
    newvserver behave better regarding locales, closes: #383682.
    Applied this patch against newnfsvserver and stripserver as well.
  * Corrected usage instructions for dupvserver, closes: #383675.
  * Make etch default distribution, closes: #383914.
  * Applied patch from Miroslav Kure <kurem@upcase.inf.upol.cz>, to make
    sure that tzconfig is preferred over tzsetup and only executed if
    exists, closes: #383911.
  * Do not install non-us for sarge and later dists and also remove
    contrib and non-free by default, closes: #383699.

 -- Ola Lundqvist <opal@debian.org>  Sun, 20 Aug 2006 20:12:09 +0200

vserver-debiantools (0.2.9) unstable; urgency=low

  * Now default to /etc/vservers/.defaults/vdirbase for all scripts and
    not just newvserver.
  * Removed a number of packages from INSTALL_PACKAGES in some of the
    scripts.
  * Depend on more recent version of debootstrap.
  * Add locales package to INSTALL_PACAKGES if LANG variable is set to
    anything other than C.

 -- Ola Lundqvist <opal@debian.org>  Tue, 18 Jul 2006 00:41:39 +0200

vserver-debiantools (0.2.8) unstable; urgency=low

  * Changed debhelper from build-depends-indep to build-depends.
  * Updated to standards version 3.7.2.
  * Correction of license information, specifically FSF address in
    different files.
  * Correction of manpage unknown character issue.

 -- Ola Lundqvist <opal@debian.org>  Sun, 16 Jul 2006 10:19:58 +0200

vserver-debiantools (0.2.7) unstable; urgency=low

  * Removed --resolve-deps as it is on by default. This also mean that
    this will work on sarge as well, closes: #368971. Thanks to
    Alexander Gerasiov <gq@cs.msu.su> for the information on how to
    correct this.
  * Syntax corrections based on what lintian tell.

 -- Ola Lundqvist <opal@debian.org>  Mon, 29 May 2006 20:59:35 +0200

=== debian/control ===
Source: vserver-debiantools
Section: utils
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Build-Depends-Indep: perl
Standards-Version: 3.7.2

Package: vserver-debiantools
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, util-vserver (>= 0.30.204-5sarge2), debootstrap (>= 0.3.3), binutils, rsync
Conflicts: vserver
Description: Tools to manage debian virtual servers
 This package contain tools to manage debian based virtual servers.
 There are tools to create and duplicate a virtual server. There is also a
 tool to strip a copy of a normal debian installation from hardware dependent
 things.

## vserver-debiantools 0.3.5

=== debian/changelog ===
vserver-debiantools (0.3.5) unstable; urgency=low

  * No longer modify motd file as it is a symbolic link and pointing to
    the main server at rewrite. It is automatically rewritten anyway on
    vserver startup. Closes: #417597. Thanks to
    Vagrant Cascadian <vagrant+debianbugs@freegeek.org> for pointing out
    this problem.

 -- Ola Lundqvist <opal@debian.org>  Tue, 10 Apr 2007 05:21:09 +0200

## vserver-debiantools 0.5.0

=== debian/changelog ===
vserver-debiantools (0.5.0) unstable; urgency=low

  * Applied patch from Jochen Voss <voss@seehuhn.de> to make it possible
    to do fully unattended installs, closes: #445554.
  * Applied same patch to newnfsvserver as well.

 -- Ola Lundqvist <opal@debian.org>  Sun,  7 Oct 2007 12:33:00 +0200

vserver-debiantools (0.4.1) unstable; urgency=low

  * Correction of a minor path problem spotted by Jochen Voss
    <voss@seehuhn.de>.

 -- Ola Lundqvist <opal@debian.org>  Tue,  2 Oct 2007 22:01:14 +0200

vserver-debiantools (0.4.0) unstable; urgency=low

  * Correction for VROOTDIR assignment. Thanks to Justin Pryzby
    <justinpryzby@users.sourceforge.net> for spotting this.
  * Applied patch from Jochen Voss <voss@debian.org> that make only one
    of hostname or ip option necessary if a nameserver is available.
    Closes: #444886.
  * Modified the patch so that dnsutils is not required, only recommended.
  * Applied patch from Jochen Voss <voss@seehuhn.de> to allow
    alternative mirrors for security and non-us(woody).
    Closes: #444868.
  * Make sure to strip trailing slashes for the other mirrors as well.
  * Manually merged the patches from Justin to apply on newnfsvserver.sh
    as well as some other merges.

 -- Ola Lundqvist <opal@debian.org>  Tue,  2 Oct 2007 08:31:27 +0200

vserver-debiantools (0.3.6) unstable; urgency=low

  * Applied patch from Jochen Voss <voss@seehuhn.de> to make sure that
    127.0.0.1 is not used by the nameserver, closes: #426796.
  * Added iproute to the dependencies, because of the above changes and
    updated a number of copyright statements.

 -- Ola Lundqvist <opal@debian.org>  Mon, 20 Aug 2007 08:39:23 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
 
 Package: vserver-debiantools
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, util-vserver (>= 0.30.204-5sarge2), debootstrap (>= 0.3.3), binutils, rsync
+Depends: ${shlibs:Depends}, ${misc:Depends}, util-vserver (>= 0.30.204-5sarge2), debootstrap (>= 0.3.3), binutils, rsync, iproute
+Recommends: dnsutils
 Conflicts: vserver
 Description: Tools to manage debian virtual servers
  This package contain tools to manage debian based virtual servers.

## vserver-debiantools 0.6.2

=== debian/changelog ===
vserver-debiantools (0.6.2) unstable; urgency=high

  * Correction in last version made it impossible to build any vserver.
    Correction for that problem. Closes: #482155.

 -- Ola Lundqvist <opal@debian.org>  Sat, 14 Jun 2008 13:01:37 +0200

vserver-debiantools (0.6.1) unstable; urgency=low

  * Can now handle empty INSTALL_PACKAGES or REMOVE_PACKAGES lines in a
    proper way. Closes: #482155.

 -- Ola Lundqvist <opal@debian.org>  Tue, 27 May 2008 07:42:30 +0200

vserver-debiantools (0.6.0) unstable; urgency=low

  * Now updated to support lenny, closes: #469365.
  * Correction for find option orders, closes: #421571.
  * Applied patch from Vincent Bernat <bernat@luffy.cx> to allow post
    install hooks in the host as well. Closes: #467293.

 -- Ola Lundqvist <opal@debian.org>  Fri, 21 Mar 2008 13:07:30 +0100

vserver-debiantools (0.5.1) unstable; urgency=low

  * Change template name substitutes to avoid binary file modifications.
    Closes: #469861, #219233.
  * Applied patch from Tijs van Dam <tijsvd@bluescraper.com> to handle
    host ip in a correct way in both newvserver and newnfsvserver.
    Closes: #453635.

 -- Ola Lundqvist <opal@debian.org>  Fri, 21 Mar 2008 12:45:54 +0100

## vserver-debiantools 0.6.3

=== debian/changelog ===
vserver-debiantools (0.6.3) unstable; urgency=medium

  * Correction so that apt-get will be run instead of removed dselect.
    Closes: #507662.

 -- Ola Lundqvist <opal@debian.org>  Fri,  5 Dec 2008 22:09:55 +0100

## vserver-debiantools 0.6.4

=== debian/changelog ===
vserver-debiantools (0.6.4) unstable; urgency=low

  * Correction so that installation also works correctly on hosts with a
    point to point connection to the internet. Closes: #539448.
    Thanks to Stefan Tomanek <stefan@pico.ruhr.de> for reporting and
    providing the solution to this problem.

 -- Ola Lundqvist <opal@debian.org>  Mon, 03 Aug 2009 07:12:27 +0200

## vserver-debiantools 0.6.5

=== debian/changelog ===
vserver-debiantools (0.6.5) unstable; urgency=low

  * Updated hostname check to allow for single letter hostnames. Thanks
    to Yann Dirson <dirson@debian.org> that provided the final fix for
    this. Closes: #575367, #409862.

 -- Ola Lundqvist <opal@debian.org>  Thu, 01 Apr 2010 06:38:18 +0200

## vserver-debiantools 0.7.2

=== debian/changelog ===
vserver-debiantools (0.7.2) unstable; urgency=low

  * Changes to allow install on squeeze. Without this change it is
    likely to fail.

 -- Ola Lundqvist <opal@debian.org>  Sat, 11 Sep 2010 21:21:24 +0200

vserver-debiantools (0.7.1) unstable; urgency=medium

  * Spelling correction.

 -- Ola Lundqvist <opal@debian.org>  Sat, 04 Sep 2010 18:52:41 +0200

vserver-debiantools (0.7) unstable; urgency=medium

  * Support for squeeze as Debian release.
  * Correction to a potential data overwrite issue. Closes: #579660.
    Thanks to Olivier Delemar <olivier.delemar@free.fr> for the patch.

 -- Ola Lundqvist <opal@debian.org>  Sat, 04 Sep 2010 10:43:58 +0200

## vserver-debiantools 0.8.0

=== debian/changelog ===
vserver-debiantools (0.8.0) unstable; urgency=low

  * Removed the support for apt.conf copy from host as this cause
    failures in certain cases. Closes: #600738.

 -- Ola Lundqvist <opal@debian.org>  Wed, 03 Nov 2010 21:11:35 +0100

## vserver-debiantools 0.8.1

=== Makefile ===
--- 
+++ 
@@ -7,25 +7,25 @@
 newvserver.1: newvserver.pod
 	pod2man --section=1 \
                 --release="Vserver " \
-                --date="`date`" \
+                --date="`LANG=C date`" \
                 $^ > $@
 
 newnfsvserver.1: newnfsvserver.pod
 	pod2man --section=1 \
                 --release="Vserver " \
-                --date="`date`" \
+                --date="`LANG=C date`" \
                 $^ > $@
 
 dupvserver.1: dupvserver.pod
 	pod2man --section=1 \
                 --release="Vserver " \
-                --date="`date`" \
+                --date="`LANG=C date`" \
                 $^ > $@
 
 stripserver.1: stripserver.pod
 	pod2man --section=1 \
                 --release="Vserver " \
-                --date="`date`" \
+                --date="`LANG=C date`" \
                 $^ > $@
 
 install: install-sbin install-man install-conf install-var

=== debian/changelog ===
vserver-debiantools (0.8.1) unstable; urgency=low

  * Debian is spelled with a capital D. Closes: #627624.

 -- Ola Lundqvist <opal@debian.org>  Tue, 02 Aug 2011 07:59:26 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, util-vserver (>= 0.30.204-5sarge2), debootstrap (>= 0.3.3), binutils, rsync, iproute
 Recommends: dnsutils
 Conflicts: vserver
-Description: Tools to manage debian virtual servers
- This package contain tools to manage debian based virtual servers.
+Description: Tools to manage Debian virtual servers
+ This package contain tools to manage Debian based virtual servers.
  There are tools to create and duplicate a virtual server. There is also a
- tool to strip a copy of a normal debian installation from hardware dependent
+ tool to strip a copy of a normal Debian installation from hardware dependent
  things.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/vserver-debiantools.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/vserver-debiantools


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
